clear all

figure(1)
clf

% PEG
[B, spec1] = eprload('aS_122_PEG_1.DTA');
B = B{1,1}/10;
spec1 = sum(spec1,2);
spec1 = datasmooth(spec1-mean(spec1(1:50)),5,'binom');
plot(B, spec1/max(spec1), 'LineWidth', 1.3);
hold on

[B, spec2] = eprload('aS_122_PEG_2.DTA');
B = B{1,1}/10;
spec0 = sum(spec2(:,1:2),2);
spec2 = sum(spec2(:,4:5),2);
spec2 = spec0 + spec2;
spec2 = spec2-mean(spec2(1:50));
spec2 = [spec2(1:3);spec2];
spec2 = spec2(1:1501);

plot(B, spec2/max(spec2), 'LineWidth', 1.3);

[B, spec3] = eprload('aS_122_PEG_3.DTA');
B = B{1,1}/10;
spec3 = sum(spec3,2);
spec3 = datasmooth(spec3-mean(spec3(1:50)),5,'binom');
spec3 = [spec3(1:13);spec3];
spec3 = spec3(1:1501);
plot(B, spec3/max(spec3), 'LineWidth', 1.3);

xlim([340 348])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)

figure(2)
clf
spec_final = (spec1+spec2+spec3)/3;
plot(B, spec_final/max(spec_final), 'LineWidth', 1.3);
% hold on
% plot(B+0.045, spec3/max(spec3), 'LineWidth', 1.3);

xlim([340 348])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)
