clear all

figure(1)
clf

% PEG + pLK replica 1
[B, spec1] = eprload('aS_24C_PEG_pLK_1.DTA');
B = B{1,1}/10;
spec1 = sum(spec1,2);
spec1 = datasmooth(spec1-mean(spec1(1:50)), 5, 'binom');
plot(B, spec1/max(spec1), 'LineWidth', 1.3);
hold on

% PEG + pLK replica 2
[B, spec2] = eprload('aS_24_PEG_plK_2.DTA');
B = B{1,1}/10;
spec2 = sum(spec2,2);
spec2 = datasmooth(spec2-mean(spec2(1:50)), 5, 'binom');
spec2 = [spec2(1:13);spec2];
spec2 = spec2(1:1501);
plot(B, spec2/max(spec2), 'LineWidth', 1.3);

xlim([340 348])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)
%%
figure(2)
clf
spec_final = (spec1+spec2)/2;
plot(B, spec_final/max(spec_final), 'LineWidth', 1.3);
hold on

xlim([340 348])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)