% averaged spectra from 3 replicates for each condition
% aS_24C in PEG 15 %, PEG + Tau441 1:1, PEG + TauDNt 1:1

% spectra not normalized
clear all
figure(1)
clf

load aS_122_avg_PEG_new.mat
peg = spec_final;

load aS_122_avg_PEG_Tau441_new.mat
peg_tau441 = spec_final;

load aS_122_avg_PEG_TauDNt_new.mat
peg_tauDnt = spec_final;

plot(B, peg, 'LineWidth', 1.5, 'color', [0.1569    0.1569    0.9686]);
hold on

plot(B, peg_tau441, 'LineWidth', 1.5);
plot(B+0.01, peg_tauDnt, 'LineWidth', 1.5, 'color', [0.2118    0.4314    0.0157]);

xlim([341 347])
% ylim([-1.1 1.1])
set(gca,'TickDir', 'out','TickLength', [0.005 0],...
    'XTick', 341:2:347, 'Linewidth', 1.1, 'FontSize',18,'FontName', 'Calibri', 'box', 'on')

% spectra normalized
clear all
figure(2)
clf

load aS_122_avg_PEG_new.mat
peg = spec_final;

load aS_122_avg_PEG_Tau441_new.mat
peg_tau441 = spec_final;

load aS_122_avg_PEG_TauDNt_new.mat
peg_tauDnt = spec_final;

plot(B, peg/max(peg), 'LineWidth', 1.5, 'color', [0.1569    0.1569    0.9686]);
hold on

plot(B, peg_tau441/max(peg_tau441), 'LineWidth', 1.5);
plot(B+0.01, peg_tauDnt/max(peg_tauDnt), 'LineWidth', 1.5, 'color', [0.2118    0.4314    0.0157]);

xlim([341 347])
ylim([-1.1 1.1])
set(gca,'TickDir', 'out','TickLength', [0.005 0],'YTick', -1:0.5:1,...
    'XTick', 341:2:347, 'Linewidth', 1.1, 'FontSize',18,'FontName', 'Calibri', 'box', 'on')
