% Simulations aS_24C

%% aS_24C + 15 % PEG
clear all
figure(1)
clf

load aS_24_avg_PEG.mat
peg = spec_final;
plot(B, peg/max(peg), 'k','LineWidth', 1.5);
hold on

% Experimental parameters
Exp = struct('mwFreq', 9.682701, 'Range', [339.3 349.3], 'ModAmp', 0.1, 'nPoints', 1501);

% Spin system 1 
g = [2.0149 2.0086  2.0065];
A = [20 20 103.3];
Sys1 = struct('g',g,'Nucs','N','A',A);
Sys1.lw = [0.11 0.08]; 
Sys1.tcorr = 6.3e-10; %5
S1 = chili(Sys1, Exp);
plot(B-0.01, S1/max(S1),'r','LineWidth', 1.5);

xlim([341 347])
ylim([-1.1 1.1])
set(gca,'TickDir', 'out','TickLength', [0.005 0],'YTick', -1:0.5:1,...
    'XTick', 341:2:347, 'Linewidth', 1.1, 'FontSize',18,'FontName', 'Calibri', 'box', 'on')

%% aS_24C + 15 % PEG + Tau441
clear all
figure(2)
clf

load aS_24_avg_PEG_Tau441.mat
peg = spec_final;
plot(B, peg/max(peg), 'k','LineWidth', 1.5);
hold on

% Experimental parameters
Exp = struct('mwFreq', 9.682701, 'Range', [339.3 349.3], 'ModAmp', 0.1, 'nPoints', 1501);

% Spin system 1 
g = [2.0149 2.0086  2.0065];
A = [20 20 103.3];
Sys1 = struct('g',g,'Nucs','N','A',A);
Sys1.lw = [0.11 0.08]; 
Sys1.tcorr = 6.3e-10; %5
S1 = chili(Sys1, Exp);
% plot(B-0.01, S1/max(S1),'g','LineWidth', 1.5);

% Spin system 2 
g = [2.0149 2.0086  2.0065];
A = [20 20 103.3];
Sys2 = struct('g',g,'Nucs','N','A',A);
Sys2.lw = [0.11 0.08]; 
Sys2.tcorr = 1.3e-9; %5
S2 = chili(Sys2, Exp);
% plot(B-0.01, S2/max(S2),'b','LineWidth', 1.5);

sim = S1*40+S2*60;
plot(B-0.01, sim/max(sim),'r','LineWidth', 1.5);


xlim([341 347])
ylim([-1.1 1.1])
set(gca,'TickDir', 'out','TickLength', [0.005 0],'YTick', -1:0.5:1,...
    'XTick', 341:2:347, 'Linewidth', 1.1, 'FontSize',18,'FontName', 'Calibri', 'box', 'on')
