% simulation spectra aS_122C
% 2) PEG + pLK

clear all
load aS_122_avg_PEG_pLK.mat
raw_pLK = spec_final;

% Experimental parameters
Exp = struct('mwFreq', 9.6811, 'Range', [339.3 349.3], 'ModAmp', 0.1, 'nPoints', 1501);

% Spin system 1
g = [2.0084 2.0059 2.0022];
A = [20 20 103];
Sys1 = struct('g',g,'Nucs','N','A',A);
Sys1.lw = [0.10 0.09]; 
Sys1.tcorr = 7.5e-10; 
S1 = chili(Sys1, Exp);

% Spin system 2
g = [2.0084 2.0059 2.0022];
A = [20 20 103];
Sys2 = struct('g',g,'Nucs','N','A',A);
Sys2.lw = [0.10 0.09]; % 0.03 0.03
Sys2.tcorr = 2e-9; 
S2 = chili(Sys2, Exp);

sim = S1*0.3+S2*0.7;


% plot
figure(1)
clf
plot(B+0.735, raw_pLK/max(raw_pLK), 'k','LineWidth', 1.3);
hold on
plot(B, sim/max(sim),'r', 'LineWidth', 1.3);

xlim([342 347.5])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)
