% simulation spectra aS_24C
% 3) PEG + DNT-Tau

clear all
load aS_24_avg_PEG_TauDNt.mat
raw_DNTau = spec_final;

% Experimental parameters
Exp = struct('mwFreq', 9.6828, 'Range', [339.3 349.3], 'ModAmp', 0.1, 'nPoints', 1501);

% Spin system 1
g = [2.0084 2.0059 2.0022];
A = [20 20 103];
Sys1 = struct('g',g,'Nucs','N','A',A);
Sys1.lw = [0.12 0.07]; 
Sys1.tcorr = 6.5e-10; 
S1 = chili(Sys1, Exp);

% Spin system 2
g = [2.0084 2.0059 2.0022];
A = [20 20 103];
Sys2 = struct('g',g,'Nucs','N','A',A);
Sys2.lw = [0.12 0.07]; 
Sys2.tcorr = 2e-9; 
S2 = chili(Sys2, Exp);

sim = S1*0.6+S2*0.4;


% plot
figure(1)
clf
plot(B+0.77, raw_DNTau/max(raw_DNTau), 'k','LineWidth', 1.3);
hold on
plot(B, sim/max(sim),'r', 'LineWidth', 1.3);

xlim([342 347.5])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)


