% simulation spectra aS_24C
% 1) ONLY PEG

clear all
load aS_24_avg_PEG.mat
raw_peg = spec_final;

% Experimental parameters
Exp = struct('mwFreq', 9.6826, 'Range', [339.3 349.3], 'ModAmp', 0.1, 'nPoints', 1501);

% Spin system 1
g = [2.0084 2.0059 2.0022];
A = [20 20 103];
Sys1 = struct('g',g,'Nucs','N','A',A);
Sys1.lw = [0.12 0.07]; 
Sys1.tcorr = 6.5e-10; 
S1 = chili(Sys1, Exp);

% plot
figure(1)
clf
plot(B+0.76, raw_peg/max(raw_peg), 'k','LineWidth', 1.3);
hold on
plot(B, S1/max(S1),'r', 'LineWidth', 1.3);

xlim([342 347.5])
ylim([-1.1 1.2])
xlabel('Magnetic Field [mT]','FontSize',17, 'FontWeight', 'bold')
set(gca,'TickDir', 'out', 'YColor', 'none','box', 'off', 'Linewidth', 1.5, 'FontSize',12)
